## libncl 2.1.18+dfsg

=== test/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ncl
pkgincludedir = $(includedir)/ncl
pkglibdir = $(libdir)/ncl
pkglibexecdir = $(libexecdir)/ncl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin10.8.0
host_triplet = x86_64-apple-darwin10.8.0
subdir = test
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ax_cxx_flags.m4 \
	$(top_srcdir)/config/ax_python_module.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = -I$(top_srcdir) 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -O3 -ffast-math 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/libexec/gcc/i686-apple-darwin10/4.2.1/ld
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/missing --run makeinfo
MANIFEST_TOOL = :
MAYBE_SWIG_DIR = 
MAYBE_TEST_DIR = test
MKDIR_P = ../config/install-sh -c -d
NM = /usr/bin/nm
NMEDIT = nmedit
OBJDUMP = false
OBJEXT = o
OTOOL = otool
OTOOL64 = :
PACKAGE = ncl
PACKAGE_BUGREPORT = mtholder@gmail.com
PACKAGE_NAME = NCL
PACKAGE_STRING = NCL 2.1.18
PACKAGE_TARNAME = ncl
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.18
PATH_SEPARATOR = :
POW_LIB = 
PYTHON = /Library/Frameworks/Python.framework/Versions/2.7/bin/python
RANLIB = ranlib
SED = /Users/mholder/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.1.18
abs_builddir = /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/test
abs_srcdir = /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/test
abs_top_builddir = /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1
abs_top_srcdir = /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin10.8.0
build_alias = 
build_cpu = x86_64
build_os = darwin10.8.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-apple-darwin10.8.0
host_alias = 
host_cpu = x86_64
host_os = darwin10.8.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/mholder/Documents/projects/ncl/working/ncl/branches/v2.1/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/config/install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am: installcheck-local

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installcheck-local installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	uninstall uninstall-am

installcheck-local:
	$(PYTHON) $(srcdir)/roundTripNCLTest.py -x $(bindir)/NEXUSnormalizer $(srcdir)/funkyValidIn $(srcdir)/funkyValidOut
	$(PYTHON) $(srcdir)/roundTripNCLTest.py -e $(bindir)/NEXUSnormalizer $(srcdir)/ExternalValidIn $(srcdir)/ExternalValidOut
	$(PYTHON) $(srcdir)/roundTripNCLTest.py -i -e $(bindir)/NEXUSnormalizer $(srcdir)/ExternalInvalidIn
	$(PYTHON) $(srcdir)/roundTripNCLTest.py -a $(bindir)/NEXUSnormalizer
	$(PYTHON) $(srcdir)/roundTripNCLTest.py $(bindir)/NEXUSnormalizer $(top_srcdir)/data/characters.nex $(srcdir)/data
	$(PYTHON) $(srcdir)/roundTripNCLTest.py $(bindir)/NEXUSnormalizer $(top_srcdir)/data/sample.tre $(srcdir)/data
	$(PYTHON) $(srcdir)/roundTripNCLTest.py $(bindir)/NEXUSnormalizer $(srcdir)/NTSValidIn $(srcdir)/NTSValidOut

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
libncl (2.1.18+dfsg-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:17 +0000

libncl (2.1.18+dfsg-2) unstable; urgency=medium

  * Use with-constfuncs=yes to enable building garli
  * Secure Vcs-Git URI

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2016 21:00:47 +0100

libncl (2.1.18+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #810240)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jan 2016 15:41:27 +0100

=== debian/control ===
Source: libncl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               python
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libncl.git
Vcs-Git: https://anonscm.debian.org/debian-med/libncl.git
Homepage: http://sourceforge.net/projects/ncl/

Package: ncl-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools to deal with NEXUS files
 The NEXUS Class Library is a C++ library for parsing NEXUS files.
 .
 The NEXUS file format is widely used in bioinformatics. Several popular
 phylogenetic programs such as Paup, MrBayes, Mesquite, and MacClade use
 this format.

Package: libncl1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: NEXUS Class Library
 The NEXUS Class Library is a C++ library for parsing NEXUS files.
 .
 The NEXUS file format is widely used in bioinformatics. Several popular
 phylogenetic programs such as Paup, MrBayes, Mesquite, and MacClade use
 this format.
 .
 This package contains the dynamic NEXUS library.

Package: libncl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncl1 (= ${binary:Version})
Description: NEXUS Class Library (static lib and header files)
 The NEXUS Class Library is a C++ library for parsing NEXUS files.
 .
 The NEXUS file format is widely used in bioinformatics. Several popular
 phylogenetic programs such as Paup, MrBayes, Mesquite, and MacClade use
 this format.
 .
 This package contains the static library and header files of the NEXUS
 library.

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  http://sf.net/ncl/ncl-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libncl 2.1.21%2Bgit20210811.b1213a7

=== debian/changelog ===
libncl (2.1.21+git20210811.b1213a7-5) unstable; urgency=medium

  * Team upload.
  * Update symbols for gcc-13. Closes: #1037731, #1042131

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Aug 2023 15:34:47 +0200

libncl (2.1.21+git20210811.b1213a7-4) unstable; urgency=medium

  * Fix Python3.11 issues
    Closes: #1028677
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 16:00:10 +0100

libncl (2.1.21+git20210811.b1213a7-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 31 Aug 2022 11:37:09 +0000

libncl (2.1.21+git20210811.b1213a7-2) unstable; urgency=medium

  * Adapt symbols to gcc-12
    Closes: #1012984
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jul 2022 09:12:32 +0200

libncl (2.1.21+git20210811.b1213a7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libncl-dev, libncl2: Add Multi-Arch: same.
  * Fix symbols file
    Closes: #984188

 -- Andreas Tille <tille@debian.org>  Sun, 17 Oct 2021 07:54:46 +0200

libncl (2.1.21+git20190531.feceb81-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Update symbols for gcc-10
    Closes: #957452

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 14:56:52 +0200

libncl (2.1.21+git20190531.feceb81-2) unstable; urgency=medium

  * Use 2to3 to port from Python2 to Python3
    Closes: #943083
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2019 08:33:03 +0100

libncl (2.1.21+git20190531.feceb81-1) unstable; urgency=medium

  * Fix symbols file
    Closes: #925752
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Install pkgconfig file

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 15:05:39 +0200

libncl (2.1.21+git20180827.c71b264-2) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #923955
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 07 Mar 2019 19:13:02 +0100

libncl (2.1.21+git20180827.c71b264-1) unstable; urgency=medium

  * Update symbols
    Closes: #913608
  * New upstream version
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2018 19:10:38 +0100

libncl (2.1.21+git20171002.4becff7-2) unstable; urgency=medium

  * Team upload
  * Update symbols for GCC 8 and make them amd64-only (Closes: #905565)

 -- Graham Inggs <ginggs@debian.org>  Mon, 13 Aug 2018 15:00:13 +0000

libncl (2.1.21+git20171002.4becff7-1) unstable; urgency=medium

  * New upstream version
  * d/watch: use git mode since upstream does not provide release tags
  * Add missing citation
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Drop now unneeded get-orig-source target
  * hardening=+all
  * Fix spelling
  * Add symbols file
  * Bump soname since interface has changed

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 15:02:26 +0200

## libncl 2.1.21+git20171002.4becff7

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: libncl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                python
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libncl.git
-Vcs-Git: https://anonscm.debian.org/debian-med/libncl.git
-Homepage: http://sourceforge.net/projects/ncl/
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libncl
+Vcs-Git: https://salsa.debian.org/med-team/libncl.git
+Homepage: https://github.com/mtholder/ncl
 
 Package: ncl-tools
 Architecture: any
@@ -24,7 +22,7 @@
  phylogenetic programs such as Paup, MrBayes, Mesquite, and MacClade use
  this format.
 
-Package: libncl1
+Package: libncl2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -43,7 +41,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libncl1 (= ${binary:Version})
+         libncl2 (= ${binary:Version})
 Description: NEXUS Class Library (static lib and header files)
  The NEXUS Class Library is a C++ library for parsing NEXUS files.
  .

## libncl 2.1.21+git20180827.c71b264

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11~),
                d-shlibs,
                python
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libncl
 Vcs-Git: https://salsa.debian.org/med-team/libncl.git
 Homepage: https://github.com/mtholder/ncl

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-constfuncs=yes

override_dh_clean:
	dh_clean
	find . -name ".roundTripNCL*" -delete

override_dh_install:
	dh_install
	# bash debian/
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev "debian/tmp/usr/include/ncl/*.h" usr/include/ncl \
                        debian/tmp/usr/lib/*/libncl.so

## libncl 2.1.21+git20190531.feceb81

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
  add_definitions(/D_CRT_SECURE_NO_WARNINGS)
else()
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fPIC")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fPIC")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
endif()
add_subdirectory (ncl)

=== ncl/CMakeLists.txt ===
file(GLOB ncl_INC "*.h")
file(GLOB ncl_SRC "*.cpp")

include_directories(${CMAKE_SOURCE_DIR})
add_library(ncl_shared SHARED ${ncl_SRC})
add_library(ncl_static STATIC ${ncl_SRC})

set_target_properties(ncl_shared PROPERTIES OUTPUT_NAME ncl)
set_target_properties(ncl_static PROPERTIES OUTPUT_NAME ncl)

install(TARGETS ncl_shared DESTINATION "lib/ncl")
install(TARGETS ncl_static DESTINATION "lib/ncl")
install(FILES ${ncl_INC} DESTINATION "include/ncl")

=== html/v2.1/funcdocs/simpleNCLClient/Makefile ===
# A simple (but heavily commented) Makefile for program "simpleNCLClient" that
#	depends on NCL. The source code for this client application should be stored
#	as "simpleNCLClient.cpp" in the same directory as this Makefile.

# This Makefile can be used after you have built and installed NCL.
# NCL_INSTALL_DIR should be the directory that you specified as the
#	--prefix argument to NCL's configure script.  By default this
#	is /usr/local in *NIX systems.
# If NCL_INSTALL_DIR is not in your shell's environment, then you'll have
#	to define it. With something like the next line.
# NCL_INSTALL_DIR = /usr/local/lib

# C preprocessor flags to include the parent of NCL's intsalled header directory.
CPP_FLAGS = -I$(NCL_INSTALL_DIR)/include

# linker flags to include the directory that hold libncl.
LD_FLAGS = -L$(NCL_INSTALL_DIR)/lib/ncl

# linker to list the ncl library as a library to include
LIBS=-lncl

# we'll use CXX is to refer to the C++ compiler
CXX=g++

# list all of the object files that are linked together to make our executable
objects = simpleNCLClient.o

# We could list headers here as DEPS so the compiler will rebuild our executable
# 	whenever the headers are changed.
DEPS = simpleNCLClient.h


# A rule for how to build simpleNCLClient.
# After the colon on the first line is a list of things that simpleNCLClient
# 	depends on.
# The second line (and any other indented lines) tell make how to build
# 	simpleNCLClient.  This is where we use our LD_FLAGS and LIBS
simpleNCLClient: $(objects)
	$(CXX) -o $@ $^ $(LD_FLAGS) $(LIBS)


# A rule for how to build any .o file.
# %.o in the target name is a makefile wildcard for any file ending in .o
# The %.cpp means that XYZ.o depends on XYZ.cpp
# 	whatever is in DEPS is also noted as a dependency
# The first step in the rule is a shell if statement that will generate an
# 	error if you do not have NCL_INSTALL_DIR defined (by uncommenting
# 	line 11 above or in your shell's env).
# The syntax $@ in the rule indicates "the target of this rule" (what the
# 	is trying to create, which is "simpleNCLClient.o" in this case)
# The $< syntax means the first dependency (the .cpp file).
# Note that this is where we use our CPP_FLAGS
%.o: %.cpp $(DEPS)
	if test -z $(NCL_INSTALL_DIR) ; then echo "NCL_INSTALL_DIR must be set. See comments in the Makefile." && exit 1; fi
	$(CXX) -c -o $@  $<	$(CPP_FLAGS)

# This target without dependencies can only be invoked by specifying it as the
# 	target ("make clean" from the command line).
# rm removes files from the filesystem
# The -f arg to rm tells rm to not complain even if the files do not exist.
# *.o is shell wildcard for any file that ends in .o
clean:
	rm -f *.o simpleNCLClient

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
-               python
-Standards-Version: 4.3.0
+               python3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libncl
 Vcs-Git: https://salsa.debian.org/med-team/libncl.git
 Homepage: https://github.com/mtholder/ncl
+Rules-Requires-Root: no
 
 Package: ncl-tools
 Architecture: any

## libncl 2.1.21+git20210811.b1213a7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required (VERSION 3.1)
+
+project(ncl)
 
 if(MSVC)
   # Force to always compile with W4

=== debian/changelog ===
libncl (2.1.21+git20210811.b1213a7-6) unstable; urgency=medium

  * d/rules: forcefully run LTO builds.
  * d/libncl2.symbols.amd64: mark symbols leaked by the compiler optional.
    (Closes: #1015505, #1075191)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 11:33:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libncl
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libncl
 Vcs-Git: https://salsa.debian.org/med-team/libncl.git
 Homepage: https://github.com/mtholder/ncl
@@ -28,6 +29,7 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: NEXUS Class Library
  The NEXUS Class Library is a C++ library for parsing NEXUS files.
  .
@@ -43,6 +45,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libncl2 (= ${binary:Version})
+Multi-Arch: same
 Description: NEXUS Class Library (static lib and header files)
  The NEXUS Class Library is a C++ library for parsing NEXUS files.
  .

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # DH_VERBOSE := 1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 %:
 	dh $@
@@ -16,9 +16,11 @@
 
 override_dh_install:
 	dh_install
-	# bash debian/
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
 		    --movedev "debian/tmp/usr/include/ncl/*.h" usr/include/ncl \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
                         debian/tmp/usr/lib/*/libncl.so
+        # dh_missing found this but it should not be installed
+	rm -f debian/tmp/usr/include/ncl/nxsblock.cpp

=== debian/watch ===
version=4

opts="mode=git,pretty=2.1.21+git%cd.%h" \
    https://github.com/mtholder/ncl.git HEAD

# Issue asking for release tags:
#   https://github.com/mtholder/ncl/issues/15
